Bug 136921 - FreeCiv refuses to run as root, displaying no error message when run from the menu
FreeCiv refuses to run as root, displaying no error message when run from the...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Reed
:
Depends On: 55219
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-23 01:09 EDT by Daniel Reed
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 13:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 28928 None None None Never

  None (edit)
Description Daniel Reed 2004-10-23 01:09:08 EDT
Description of problem:

Both FreeCiv's server and client refuse to run as root, displaying no error
message when run from the menu. (An error message is displayed only when run
from a terminal.)

FreeCiv should either be modified to run as root (which was allowed in the
past), or it should be removed from the menus for the root user's desktop.

Version-Release number of selected component (if applicable):
freeciv-1.14.2-1
Comment 1 Karsten Hopp 2004-10-23 09:35:09 EDT
>Both FreeCiv's server and client refuse to run as root 
 
That's a feature, not a bug.  
 
>FreeCiv should either be modified to run as root 
 
No way. If upstream changes this, ok. But I'm not going to spend any 
time on this. 
 
The right fix for this would be to disallow root running an X desktop 
alltogether. This would prevent users from doing their day-to-day 
work as the superuser and screw their system up. Or even worse, 
compromise their system and their companies infrastructure by hitting 
browser or mail exploits. 
 
 
Comment 2 Daniel Reed 2004-10-23 10:10:20 EDT
If gdm should not allow root to login and "startx" should refuse to run as root,
please file one or more bugs to that effect and mark this bug (136921) as
blocking on your new one or ones.

Otherwise, if FreeCiv can not be made to work correctly while logged in as the
root user, it should be removed from the menus for the root user's desktop.

Please do not re-close this until the misbehavior is no longer present. Thanks.
Comment 3 Karsten Hopp 2004-10-23 10:22:39 EDT
We don't have per-user menus, there's no way to remove a menu entry 
just for root. File a bug against redhat-menues if you'd like to have  
another opinion about running an X desktop as root. 
 
Assign this to the X or the GDM maintainer, but don't waste my time 
with this. reopening just results in one more bugzilla on my ignore 
list. 
  
Comment 4 Daniel Reed 2004-10-23 15:09:44 EDT
Please do not re-close this until the misbehavior is no longer present. Thanks.
Comment 6 Seth Nickell 2004-10-25 12:46:01 EDT
Silent failure is terrible for usability. There should be a message
telling the user it won't run as root.

Disallowing root login is not really an option unless we were able to
add sudo-like hooks to the desktop (file manager, text editor, etc).
In the mid to long term we cannot require people (administrators
included) to use shell.
Comment 7 Daniel Reed 2004-10-25 16:36:23 EDT
This is apparently a regression; bug 28928 mentions similar problems and, while
I'm looking at its fix still being applied in our .spec, it seems the fix used
for 28928 no longer works. I have no idea why the patch was never upstreamed.
Comment 8 Daniel Reed 2004-10-26 13:47:15 EDT
Fix for FC4. I changed the wrapper to try harder to run as user nobody, and
added checks to detect failure and report an error to the user. UI signed off by
snickell.

Note You need to log in before you can comment on or make changes to this bug.